org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IRtfTextrunContainer

- All Known Implementing Classes:
    RtfAfter, RtfBefore, RtfFootnote, RtfHyperLink, RtfListItem, RtfListItem.RtfListItemLabel, RtfSection, RtfTableCell

      public interface IRtfTextrunContainer

  Interface which enables an implementing class to contain linear text runs.

  This work was authored by Peter Herweg (pherweg@web.de).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfTextrun` | `getTextrun()` Returns the current RtfTextrun object.

- - ### Method Detail

    - #### getTextrun

          RtfTextrun getTextrun()
                         throws java.io.IOException

      Returns the current RtfTextrun object. Opens a new one if necessary.
      Returns:
        The RtfTextrun object
      Throws:
        `java.io.IOException` - Thrown when an IO-problem occurs

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.